my $expected_version = "1.007001";
print("import: Bio::Coordinate\n");
use Bio::Coordinate;

if (defined Bio::Coordinate->VERSION) {
	my $given_version = Bio::Coordinate->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate->VERSION . '
');

}
print("import: Bio::Coordinate::Chain\n");
use Bio::Coordinate::Chain;

if (defined Bio::Coordinate::Chain->VERSION) {
	my $given_version = Bio::Coordinate::Chain->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Chain->VERSION . '
');

}
print("import: Bio::Coordinate::Collection\n");
use Bio::Coordinate::Collection;

if (defined Bio::Coordinate::Collection->VERSION) {
	my $given_version = Bio::Coordinate::Collection->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Collection->VERSION . '
');

}
print("import: Bio::Coordinate::ExtrapolatingPair\n");
use Bio::Coordinate::ExtrapolatingPair;

if (defined Bio::Coordinate::ExtrapolatingPair->VERSION) {
	my $given_version = Bio::Coordinate::ExtrapolatingPair->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::ExtrapolatingPair->VERSION . '
');

}
print("import: Bio::Coordinate::GeneMapper\n");
use Bio::Coordinate::GeneMapper;

if (defined Bio::Coordinate::GeneMapper->VERSION) {
	my $given_version = Bio::Coordinate::GeneMapper->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::GeneMapper->VERSION . '
');

}
print("import: Bio::Coordinate::Graph\n");
use Bio::Coordinate::Graph;

if (defined Bio::Coordinate::Graph->VERSION) {
	my $given_version = Bio::Coordinate::Graph->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Graph->VERSION . '
');

}
print("import: Bio::Coordinate::MapperI\n");
use Bio::Coordinate::MapperI;

if (defined Bio::Coordinate::MapperI->VERSION) {
	my $given_version = Bio::Coordinate::MapperI->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::MapperI->VERSION . '
');

}
print("import: Bio::Coordinate::Pair\n");
use Bio::Coordinate::Pair;

if (defined Bio::Coordinate::Pair->VERSION) {
	my $given_version = Bio::Coordinate::Pair->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Pair->VERSION . '
');

}
print("import: Bio::Coordinate::Result\n");
use Bio::Coordinate::Result;

if (defined Bio::Coordinate::Result->VERSION) {
	my $given_version = Bio::Coordinate::Result->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Result->VERSION . '
');

}
print("import: Bio::Coordinate::Result::Gap\n");
use Bio::Coordinate::Result::Gap;

if (defined Bio::Coordinate::Result::Gap->VERSION) {
	my $given_version = Bio::Coordinate::Result::Gap->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Result::Gap->VERSION . '
');

}
print("import: Bio::Coordinate::Result::Match\n");
use Bio::Coordinate::Result::Match;

if (defined Bio::Coordinate::Result::Match->VERSION) {
	my $given_version = Bio::Coordinate::Result::Match->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Result::Match->VERSION . '
');

}
print("import: Bio::Coordinate::ResultI\n");
use Bio::Coordinate::ResultI;

if (defined Bio::Coordinate::ResultI->VERSION) {
	my $given_version = Bio::Coordinate::ResultI->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::ResultI->VERSION . '
');

}
print("import: Bio::Coordinate::Utils\n");
use Bio::Coordinate::Utils;

if (defined Bio::Coordinate::Utils->VERSION) {
	my $given_version = Bio::Coordinate::Utils->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Coordinate::Utils->VERSION . '
');

}
